# High Throughput Test Service

## Getting Started 

The High Throughput Test Service works in conjunction with Broadcast DataFeed API Toolkit. In the `sample` folder, there is a `high_throughput_test_service` folder containing a `simple` sample. Build and run the sample. At the same time, run the `high_throughput_test_service` executable from this folder. Example run:

`./bin/high_throughput_test_service -m field_map.txt -w whitelist_fields_all.xml -f FDS-USA-1230-1245-8_26_2022.txt -s 250000 -p 3003 -c 5500 -r 100`

This will:
- use etc/field.map.txt
- use etc/whitelist_fields.all.xml
- load market data messages 
    - from data/FDS-USA-1230-1245-8_26_2022.txt
    - publish each message 100 times upon subscription 
    - at a rate of 250k msg/sec
- publish market data on port 3003
- connect to the Broadcast Datafeed API on port 5500 
    - the `simple` sample should also specify this port


## Data
The `data` folder consists of a few sample files containing market data messages. The files are named like so:

`[ticker]-[start hour: minute]-[end hour: minute]-[month_day_year].txt`

For example, `FDS-USA-1230-1245-8_26_2022.txt` contains market data message published on 8/26/2022 from 12:30pm to 12:45pm for FDS-USA. 

## Other
Refer to the *High Throughput Test Service* section of the **Programmer's Manual** for detailed information.