/*
 * WARNING!  DO NOT EDIT THE .H VERSION OF THIS FILE.  ONLY MAKE CHANGES
 * TO THE .MARCO VERSION.
 *
 * Marcogen Version:     0.1
 * Header Gathered From: active
 * Header Limited To:    RT and above
 *
 * Description:
 *     This file contains all of the constants that are in the broadcast field map.
 *     These are the ID which map to the fields that are sent over the wire.
 *
 */
#ifndef __BROADCAST_FIELDS_H__
#define __BROADCAST_FIELDS_H__

namespace FactSet {
    namespace Datafeed {

        struct BroadcastFieldType {
            // Brackets will suppress doxygen undocumented warnings
            //! \{
            static const int BUFFER = 14;
            static const int CHAR = 1;
            static const int DOUBLE = 5;
            static const int EPOCH_NSEC = 22;
            static const int FLOAT = 4;
            static const int INT = 2;
            static const int INT64 = 19;
            static const int RAW = 0;
            static const int STRING = 6;
            //! \}
        };

        struct BroadcastFieldId {
            // Brackets will suppress doxygen undocumented warnings
            //! \{
            static const int FDS_SEQ_NUM = 1; // INT
            static const int PRODUCT = 4; // INT
            static const int DESCRIPTION = 8; // STRING
            static const int ISIN = 12; // STRING
            static const int FEED_ID = 13; // INT
            static const int CUSIP = 14; // STRING
            static const int SEDOL = 15; // STRING
            static const int ISO_CODE = 17; // STRING
            static const int EXCHANGE = 20; // INT
            static const int MSG_BITMASK = 22; // INT
            static const int LAST_TICK = 25; // INT
            static const int EPS = 28; // FLOAT
            static const int SHARES_OUTSTANDING = 29; // FLOAT
            static const int LAST_VOL = 31; // INT
            static const int LAST_EXCH = 33; // INT
            static const int QUOTE_CONDITION = 38; // INT
            static const int LAST_PRICE = 50; // DOUBLE
            static const int CONTRACT_SIZE = 51; // INT
            static const int PRICE_CURRENCY = 62; // STRING
            static const int PAYMENT_DATE = 76; // INT
            static const int RECORD_DATE = 77; // INT
            static const int AVERAGE_MATURITY = 79; // INT
            static const int FUND_TYPE = 82; // INT
            static const int FUND_CODE = 87; // INT
            static const int MARKET_MECHANISM_TYPE = 88; // STRING
            static const int ORDER_CODE = 89; // STRING
            static const int HIGH_VOL = 105; // INT
            static const int HIGH = 107; // DOUBLE
            static const int BID_ORDER_COUNT = 128; // INT
            static const int ASK_ORDER_COUNT = 129; // INT
            static const int CVOL = 132; // INT64
            static const int MID_TIME = 135; // INT
            static const int MID_DATE = 136; // INT
            static const int TOTAL_CAP_GAIN = 147; // DOUBLE
            static const int FOOTNOTE = 148; // STRING
            static const int MARKET_CENTER = 149; // STRING
            static const int OPEN_VOLUME = 155; // INT
            static const int OPEN = 158; // DOUBLE
            static const int RESUME_DATE = 159; // INT
            static const int TRADE_CONDITION = 174; // STRING
            static const int CONTRACT_HIGH = 189; // DOUBLE
            static const int PREV_CLOSE = 208; // DOUBLE
            static const int CONTRACT_LOW = 209; // DOUBLE
            static const int STRIKE_PRICE = 239; // DOUBLE
            static const int OFF_HOUR_CVOL = 259; // INT
            static const int TRADE_COUNT = 267; // INT
            static const int BLOCK_TRADE_COUNT = 269; // INT
            static const int BLOCK_CVOL = 271; // INT
            static const int SHORT_SALE_INDICATOR = 277; // INT
            static const int MID = 278; // DOUBLE
            static const int ANNUALIZED_SEVEN_DAY_YIELD = 279; // DOUBLE
            static const int EST_LONG_TERM_RETURN = 280; // DOUBLE
            static const int REDEMPTION_NAV = 281; // DOUBLE
            static const int SPLIT_DIVIDEND_PRICE = 282; // DOUBLE
            static const int WRAP_PRICE = 283; // DOUBLE
            static const int BID_CLOSE_VOL = 296; // INT
            static const int ASK_CLOSE_VOL = 297; // INT
            static const int OFFICIAL_BID_CLOSE_VOL = 298; // INT
            static const int OFFICIAL_ASK_CLOSE_VOL = 299; // INT
            static const int LOW_VOL = 305; // INT
            static const int LOW = 307; // DOUBLE
            static const int TURNOVER = 341; // DOUBLE
            static const int MID_NET_CHANGE = 342; // DOUBLE
            static const int BID_POINTS = 343; // DOUBLE
            static const int LAST_TIME = 383; // INT
            static const int LAST_DATE = 384; // INT
            static const int BID_TIME = 385; // INT
            static const int BID_DATE = 386; // INT
            static const int ASK_TIME = 387; // INT
            static const int ASK_DATE = 388; // INT
            static const int GMT_OFFSET = 389; // INT
            static const int DAYS_TO_EXPIRATION = 390; // INT
            static const int DAYS_TO_EXPIRATION_DISP = 391; // INT
            static const int MID_HIGH = 398; // DOUBLE
            static const int MID_LOW = 399; // DOUBLE
            static const int ORDER_LOT_SIZE = 427; // INT
            static const int EX_MARKER_START_DATE = 428; // INT
            static const int EX_MARKER_END_DATE = 429; // INT
            static const int SUSPENSION_DATE = 431; // INT
            static const int SUSPENSION_TIME = 432; // INT
            static const int RESUME_TIME = 433; // INT
            static const int OFFICIAL_BID_CLOSE = 448; // DOUBLE
            static const int UNCROSSING_PRICE = 465; // DOUBLE
            static const int UNCROSSING_VOL = 466; // INT
            static const int OFFICIAL_ASK_CLOSE = 476; // DOUBLE
            static const int BUY_IMBALANCE = 495; // INT
            static const int SELL_IMBALANCE = 496; // INT
            static const int BID_VOL = 505; // INT
            static const int BID_EXCH = 506; // INT
            static const int BID = 509; // DOUBLE
            static const int BID_TICK = 518; // INT
            static const int EOD_BID = 522; // DOUBLE
            static const int EOD_ASK = 523; // DOUBLE
            static const int OFFICIAL_CLOSE = 526; // DOUBLE
            static const int OFFBOOK_CUM_VOL = 528; // INT
            static const int OFF_EXCHANGE_CVOL = 529; // INT
            static const int VENUE = 530; // STRING
            static const int EX_DATE_STATUS = 531; // STRING
            static const int MID_CLOSE = 535; // DOUBLE
            static const int SPREAD_10Y = 537; // DOUBLE
            static const int SPREAD_5Y = 538; // DOUBLE
            static const int GROSS_BASIS_ASK = 540; // DOUBLE
            static const int ASK_YIELD = 541; // DOUBLE
            static const int AUCTION_DATE = 542; // INT
            static const int CPI_BASE = 544; // DOUBLE
            static const int BASIS = 545; // DOUBLE
            static const int BENCHMARK_ID = 546; // STRING
            static const int GROSS_BASIS_BID = 548; // DOUBLE
            static const int BID_YIELD = 550; // DOUBLE
            static const int CALLABLE_DATE = 552; // INT
            static const int CONVEXITY_PRICE = 554; // DOUBLE
            static const int COUPON_DATE = 555; // INT
            static const int COUPON_RATE = 556; // DOUBLE
            static const int DURATION = 564; // DOUBLE
            static const int ASK_DECIMAL = 567; // DOUBLE
            static const int BID_DECIMAL = 568; // DOUBLE
            static const int MID_YIELD = 571; // DOUBLE
            static const int HIGH_BID = 572; // DOUBLE
            static const int HIGH_YIELD = 573; // DOUBLE
            static const int ISSUE_DATE = 574; // INT
            static const int GROSS_BASIS_MID = 576; // DOUBLE
            static const int GROSS_BASIS_MID_HIGH = 577; // DOUBLE
            static const int GROSS_BASIS_MID_LOW = 578; // DOUBLE
            static const int MODIFIED_DURATION = 579; // DOUBLE
            static const int ODD_COUPON_DATE = 589; // INT
            static const int ASK_VOL = 605; // INT
            static const int ASK_EXCH = 606; // INT
            static const int ASK = 609; // DOUBLE
            static const int YIELD_TO_MATURITY = 626; // DOUBLE
            static const int NORMAL_MARKET_SIZE = 629; // INT
            static const int STANDARD_MARKET_SIZE = 630; // INT
            static const int EXCHANGE_MARKET_SIZE = 631; // INT
            static const int SETTLEMENT_INDICATOR = 632; // INT
            static const int PERIOD = 633; // STRING
            static const int AUTO_TRADE_CVOL = 635; // INT
            static const int AUTO_TRADE_COUNT = 636; // INT
            static const int AUTO_TRADE_VWAP = 637; // DOUBLE
            static const int TOTAL_BUY_VOL = 640; // INT
            static const int TOTAL_SELL_VOL = 641; // INT
            static const int BUY_PERCENTAGE = 642; // DOUBLE
            static const int SELL_PERCENTAGE = 643; // DOUBLE
            static const int BID_CLOSE = 648; // DOUBLE
            static const int ASK_CLOSE = 649; // DOUBLE
            static const int MARKET_SEGMENT = 650; // STRING
            static const int MARKET_SECTOR = 651; // STRING
            static const int COUNTRY_CODE = 652; // STRING
            static const int ACCRUED_INTEREST = 653; // DOUBLE
            static const int ASSETS_PRICE = 654; // DOUBLE
            static const int CAPITAL_DISTRIBUTION = 655; // DOUBLE
            static const int CURRENT_YIELD = 656; // DOUBLE
            static const int DIVIDEND_PRICE = 657; // DOUBLE
            static const int INCOME_DISTRIBUTION = 658; // DOUBLE
            static const int LONG_CAP_GAIN = 659; // DOUBLE
            static const int MARKET_PRICE = 660; // DOUBLE
            static const int NAV = 661; // DOUBLE
            static const int NET_CHANGE = 662; // DOUBLE
            static const int OTHER_CAP_GAIN = 663; // DOUBLE
            static const int PAR_VALUE_PER_UNIT = 664; // DOUBLE
            static const int REPORTING_PERIOD = 665; // INT
            static const int SEVEN_DAY_YIELD = 666; // DOUBLE
            static const int SHORT_CAP_GAIN = 667; // DOUBLE
            static const int UNALLOC_DISTR_PRICE = 668; // DOUBLE
            static const int RETURN_1D = 671; // DOUBLE
            static const int RETURN_YTD = 672; // DOUBLE
            static const int RETURN_1M = 673; // DOUBLE
            static const int RETURN_3M = 674; // DOUBLE
            static const int RETURN_12M = 675; // DOUBLE
            static const int RETURN_MTD = 676; // DOUBLE
            static const int RETURN_QTD = 677; // DOUBLE
            static const int RETURN_WTD = 678; // DOUBLE
            static const int NAV_PREMIUM_DISCOUNT = 679; // DOUBLE
            static const int MONEY_FLOW_DOWN = 689; // DOUBLE
            static const int MONEY_FLOW_UP = 690; // DOUBLE
            static const int BLOCK_MONEY_FLOW_DOWN = 691; // DOUBLE
            static const int BLOCK_MONEY_FLOW_UP = 692; // DOUBLE
            static const int COMMISSION = 703; // STRING
            static const int SPECIAL_PRICE_INDICATOR = 704; // STRING
            static const int VOLUME_INDICATOR = 705; // STRING
            static const int ASK_POINTS = 706; // DOUBLE
            static const int AVG_30DAY_VOL = 709; // FLOAT
            static const int OPEN_INTEREST = 711; // INT
            static const int EX_DATE = 712; // INT
            static const int EXPIRATION_DATE = 713; // INT
            static const int DIVIDEND = 714; // FLOAT
            static const int AVG_5DAY_VOL = 719; // FLOAT
            static const int FACTSET_INDUSTRY = 722; // STRING
            static const int FACTSET_SECTOR = 723; // STRING
            static const int HOMEPAGE = 724; // STRING
            static const int DIVIDEND_YIELD = 736; // FLOAT
            static const int EXCH_NAME = 740; // STRING
            static const int TOTAL_RETURN_3M = 746; // FLOAT
            static const int TOTAL_RETURN_52W = 747; // FLOAT
            static const int DOLLAR_CHANGE = 764; // DOUBLE
            static const int CLOSE_2 = 766; // DOUBLE
            static const int HIGH_52WEEK = 767; // DOUBLE
            static const int LOW_52WEEK = 768; // DOUBLE
            static const int OFF_HOUR_PRICE = 769; // DOUBLE
            static const int OPEN_2 = 771; // DOUBLE
            static const int RESUME = 772; // DOUBLE
            static const int RESUME_2 = 773; // DOUBLE
            static const int PREV_SETTLE = 775; // DOUBLE
            static const int SPECIAL_PRICE = 776; // DOUBLE
            static const int VWAP = 780; // DOUBLE
            static const int SETTLEMENT_TODAY = 781; // DOUBLE
            static const int SHORT_SALE_START_TIME = 782; // INT
            static const int SHORT_SALE_START_DATE = 783; // INT
            static const int SHORT_SALE_END_TIME = 784; // INT
            static const int SHORT_SALE_END_DATE = 785; // INT
            static const int TOTAL_PUT_CVOL = 786; // INT
            static const int CALL_VOLUME = 787; // INT
            static const int OPEN_INTEREST_PUT = 788; // INT
            static const int OPEN_INTEREST_CALL = 789; // INT
            static const int PUT_CALL_RATIO_OPEN_INTEREST = 790; // FLOAT
            static const int PUT_CALL_RATIO_VOLUME = 791; // FLOAT
            static const int SETTLEMENT_DATE = 793; // INT
            static const int CLOSE_YIELD = 798; // DOUBLE
            static const int LOW_YIELD = 799; // DOUBLE
            static const int PREV_SETTLE_DATE = 805; // INT
            static const int SETTLEMENT = 815; // DOUBLE
            static const int PERCENT_CHANGE = 816; // DOUBLE
            static const int CORR_LAST_VOL = 834; // INT
            static const int TRADED_DATE = 868; // INT
            static const int AS_OF_INDICATOR = 890; // INT
            static const int PREV_CLOSE_UNADJ = 892; // DOUBLE
            static const int SELLER_DAYS = 895; // INT
            static const int PREMKT_NET_CHANGE = 896; // DOUBLE
            static const int PREMKT_PERCENT_CHANGE = 897; // DOUBLE
            static const int WHEN_ISSUED = 898; // INT
            static const int YIELD_DIR = 899; // INT
            static const int TRADED_PRICE = 912; // DOUBLE
            static const int TRADED_TIME = 916; // INT
            static const int TRADED_VOL = 918; // INT
            static const int REPORTING_SIDE = 924; // STRING
            static const int UP_VOLUME = 942; // INT64
            static const int DOWN_VOLUME = 943; // INT64
            static const int UNCHANGED_VOLUME = 944; // INT64
            static const int BUY_VOLUME = 945; // INT64
            static const int SELL_VOLUME = 946; // INT64
            static const int MID_VOLUME = 947; // INT64
            static const int NASDAQ_BUY_IMBALANCE = 948; // INT
            static const int NASDAQ_SELL_IMBALANCE = 949; // INT
            static const int PREMKT_TURNOVER = 950; // DOUBLE
            static const int POSTMKT_TURNOVER = 955; // DOUBLE
            static const int BID_SPREAD = 993; // DOUBLE
            static const int ASK_SPREAD = 994; // DOUBLE
            static const int SEQUENCE = 1000; // INT
            static const int ORIG_SEQUENCE = 1001; // INT
            static const int INSTRUMENT_ID = 1002; // INT64
            static const int YIELD_PRICE = 1005; // DOUBLE
            static const int VENDOR_SYMBOL = 1010; // STRING
            static const int UNDERLYING_SECURITY = 1011; // STRING
            static const int SPOT_PRICE_BID = 1013; // DOUBLE
            static const int PREMKT_PRICE = 1019; // DOUBLE
            static const int UNDERLYING_ID = 1022; // STRING
            static const int MSG_TYPE = 1030; // INT
            static const int HIGH_TIME = 1045; // INT
            static const int OPEN_TIME = 1047; // INT
            static const int LOW_TIME = 1048; // INT
            static const int PREV_CLOSE_TIME = 1049; // INT
            static const int PREV_CLOSE_DATE = 1051; // INT
            static const int BID_CLOSE_TIME = 1061; // INT
            static const int BID_CLOSE_DATE = 1062; // INT
            static const int ASK_CLOSE_TIME = 1063; // INT
            static const int ASK_CLOSE_DATE = 1064; // INT
            static const int OFFICIAL_CLOSE_TIME = 1065; // INT
            static const int OFFICIAL_CLOSE_DATE = 1066; // INT
            static const int TIME = 1073; // INT
            static const int DATE = 1074; // INT
            static const int PREMKT_TIME = 1075; // INT
            static const int POSTMKT_TIME = 1076; // INT
            static const int VWAP_NUMERATOR = 1079; // DOUBLE
            static const int ISSUE_TYPE = 1080; // INT
            static const int OFFICIAL_BID_CLOSE_TIME = 1082; // INT
            static const int OFFICIAL_ASK_CLOSE_TIME = 1083; // INT
            static const int VWAP_CVOL = 1085; // INT64
            static const int UPPER_TRADING_BAND = 1087; // DOUBLE
            static const int LOWER_TRADING_BAND = 1093; // DOUBLE
            static const int TRADED_CONDITION = 1098; // STRING
            static const int UNCROSSING_CONDITION = 1104; // INT
            static const int OPEN_DATE = 1159; // INT
            static const int SETTLEMENT_TIME = 1160; // INT
            static const int SETTLEMENT_DATE_TODAY = 1162; // INT
            static const int PREV_CLOSE_2 = 1172; // DOUBLE
            static const int PREV_CLOSE_UNADJ_2 = 1176; // DOUBLE
            static const int LAST_DECIMAL = 1180; // DOUBLE
            static const int FEED_CURRENCY = 1182; // STRING
            static const int HALT_DESCRIPTION = 1184; // STRING
            static const int COUNTRY_NAME = 1190; // STRING
            static const int CORR_LAST = 1199; // DOUBLE
            static const int PRICE_1Y = 1216; // DOUBLE
            static const int SPOT_PRICE_ASK = 1218; // DOUBLE
            static const int HIGH_52WEEK_DATE = 1220; // INT
            static const int XLT_PRICE = 1263; // DOUBLE
            static const int XLT_CVOL = 1268; // INT64
            static const int XLT_TRADE_COUNT = 1269; // INT
            static const int XLT_TURNOVER = 1270; // DOUBLE
            static const int XLT_UP_VOLUME = 1274; // INT64
            static const int XLT_DOWN_VOLUME = 1275; // INT64
            static const int XLT_MONEY_FLOW_UP = 1276; // DOUBLE
            static const int XLT_MONEY_FLOW_DOWN = 1280; // DOUBLE
            static const int UNOFFICIAL_PRICE = 1288; // DOUBLE
            static const int UNOFFICIAL_VOLUME = 1292; // INT
            static const int LOW_52WEEK_DATE = 1295; // INT
            static const int PRICE_YEAR_END = 1296; // DOUBLE
            static const int UNOFFICIAL_CONDITION = 1334; // STRING
            static const int TRADE_LOT_SIZE = 1335; // INT
            static const int AUTO_TURNOVER = 1341; // DOUBLE
            static const int CLOSING_VOLUME = 1345; // INT
            static const int DEALER_SELL_VOLUME = 1350; // INT64
            static const int DEALER_BUY_VOLUME = 1351; // INT64
            static const int ESTIMATED_CVOL = 1353; // INT64
            static const int CROSS_TRADE_VOLUME = 1358; // INT
            static const int DARK_TRADE_VOLUME = 1359; // INT
            static const int VWAP_10B_18 = 1363; // DOUBLE
            static const int VWAP_10B_18_CVOL = 1367; // INT64
            static const int LAST_PRICE_TYPE = 1368; // INT
            static const int BENCHMARK_YIELD = 1369; // DOUBLE
            static const int BENCHMARK_YIELD_BID = 1373; // DOUBLE
            static const int BENCHMARK_YIELD_ASK = 1377; // DOUBLE
            static const int BENCHMARK_SPREAD = 1381; // DOUBLE
            static const int BENCHMARK_SPREAD_BID = 1385; // DOUBLE
            static const int BENCHMARK_SPREAD_ASK = 1389; // DOUBLE
            static const int TRADED_YIELD = 1394; // DOUBLE
            static const int DAILY_AVG_SPREAD_PERCENT = 1398; // DOUBLE
            static const int DAILY_AVG_SPREAD = 1399; // DOUBLE
            static const int BID_ASK_SPREAD_STD = 1402; // DOUBLE
            static const int MSG_GENESIS = 1409; // INT64
            static const int ACTUAL_CVOL = 1410; // INT64
            static const int HALT_REASON = 1414; // INT
            static const int SHORT_SALE_VOLUME = 1416; // INT
            static const int OPTION_TYPE = 1417; // INT
            static const int FIRST_SESSION_PRICE = 1438; // DOUBLE
            static const int FIRST_SESSION_HIGH = 1442; // DOUBLE
            static const int FIRST_SESSION_LOW = 1446; // DOUBLE
            static const int FIRST_SESSION_CLOSE = 1450; // DOUBLE
            static const int FIRST_SESSION_CVOL = 1454; // INT64
            static const int FIRST_SESSION_VWAP = 1455; // DOUBLE
            static const int SECOND_SESSION_PRICE = 1459; // DOUBLE
            static const int SECOND_SESSION_HIGH = 1463; // DOUBLE
            static const int SECOND_SESSION_LOW = 1467; // DOUBLE
            static const int SECOND_SESSION_CLOSE = 1471; // DOUBLE
            static const int SECOND_SESSION_CVOL = 1475; // INT64
            static const int SECOND_SESSION_VWAP = 1476; // DOUBLE
            static const int OPEN_AUCTION_VOLUME = 1480; // INT64
            static const int CLOSING_AUCTION_VOLUME = 1481; // INT64
            static const int TICK_SIZE = 1499; // DOUBLE
            static const int TICK_GROUP = 1507; // STRING
            static const int TICK_PILOT_EFF_DATE = 1508; // INT
            static const int PRICE_MULTIPLIER = 1509; // DOUBLE
            static const int NOMINAL_VALUE = 1513; // DOUBLE
            static const int PRIMARY_MARKET = 1517; // STRING
            static const int INTRADAY_AUCTION_VOLUME = 1518; // INT64
            static const int SECOND_SESSION_OPEN = 1528; // DOUBLE
            static const int SHORT_SALE_TURNOVER = 1541; // DOUBLE
            static const int EXECUTION_VENUE = 1579; // STRING
            static const int NOTIONAL_AMOUNT = 1591; // DOUBLE
            static const int NOTIONAL_CURRENCY = 1595; // STRING
            static const int PRICE_NOTATION = 1596; // STRING
            static const int QUANTITY_NOTATION = 1597; // STRING
            static const int TRANSPARENCY_INDICATOR = 1598; // INT
            static const int MIFID_CLEARING_FLAG = 1599; // INT
            static const int MIC_CODE_SEG = 1601; // STRING
            static const int TRANSACTION_ID_CODE = 1604; // STRING
            static const int PUBLICATION_VENUE = 1605; // STRING
            static const int PUBLICATION_TIME = 1606; // INT64
            static const int INSTRUMENT_CODE_TYPE = 1607; // STRING
            static const int EXECUTION_TIME = 1609; // INT64
            static const int MMT_MARKET_MECHANISM = 1610; // STRING
            static const int MMT_TRADING_MODE = 1611; // STRING
            static const int MMT_TRANSACTION_TYPE = 1612; // STRING
            static const int MMT_PUBLICATION_MODE = 1613; // STRING
            static const int MMT_DUPLICATIVE_INDICATOR = 1614; // STRING
            static const int ISO_COUNTRY_EXCHANGE = 1621; // STRING
            static const int TREASURY_ID = 1633; // STRING
            static const int LIS_CVOL = 1637; // INT
            static const int NEGOTIATED_CVOL = 1638; // INT
            static const int REFERENCE_CVOL = 1639; // INT
            static const int UNOFFICIAL_EXCH = 1650; // INT
            static const int VENDOR_TS = 1660; // EPOCH_NSEC
            static const int BID_TS = 1661; // EPOCH_NSEC
            static const int BID_CLOSE_TS = 1662; // EPOCH_NSEC
            static const int ASK_TS = 1663; // EPOCH_NSEC
            static const int ASK_CLOSE_TS = 1664; // EPOCH_NSEC
            static const int MID_TS = 1665; // EPOCH_NSEC
            static const int MID_CLOSE_TS = 1666; // EPOCH_NSEC
            static const int OPEN_TS = 1667; // EPOCH_NSEC
            static const int HIGH_TS = 1668; // EPOCH_NSEC
            static const int LOW_TS = 1669; // EPOCH_NSEC
            static const int UNOFFICIAL_TS = 1670; // EPOCH_NSEC
            static const int TRADED_TS = 1671; // EPOCH_NSEC
            static const int PREMKT_TS = 1672; // EPOCH_NSEC
            static const int POSTMKT_TS = 1673; // EPOCH_NSEC
            static const int LAST_TS = 1674; // EPOCH_NSEC
            static const int PREV_CLOSE_TS = 1675; // EPOCH_NSEC
            static const int CLOSE_TS = 1676; // EPOCH_NSEC
            static const int PREVIOUS_SETTLEMENT_PRICE = 1697; // DOUBLE
            static const int LISTING_SYMBOL = 1725; // STRING
            static const int TRADE_COUNT_UP = 1729; // INT64
            static const int TRADE_COUNT_DOWN = 1730; // INT64
            static const int TRADE_COUNT_UNCHANGED = 1731; // INT64
            static const int YTD_HIGH = 1732; // DOUBLE
            static const int YTD_LOW = 1736; // DOUBLE
            static const int YTD_HIGH_DATE = 1740; // INT
            static const int YTD_LOW_DATE = 1741; // INT
            static const int OFF_HOUR_EXCH = 1742; // INT
            static const int PREMKT_EXCH = 1743; // INT
            static const int POSTMKT_EXCH = 1744; // INT
            static const int OPT_DELIVERABLES = 1745; // STRING
            static const int UNDERLYING_EXCHANGE = 1746; // STRING
            static const int RT_PE_RATIO = 1747; // DOUBLE
            static const int RT_MARKET_CAP = 1748; // DOUBLE
            static const int ANNUAL_CAP_GAINS = 1749; // DOUBLE
            static const int MESSAGE_TYPE = 1750; // CHAR
            static const int FREF_SECURITY_TYPE = 1751; // STRING
            static const int SETTLEMENT_STYLE = 1752; // STRING
            static const int EXPIRATION_FREQUENCY = 1753; // STRING
            static const int FDS_SYMBOL = 1754; // STRING
            static const int OPT_CALL_OR_PUT = 1755; // STRING
            static const int OPT_ROOT_SYMBOL = 1756; // STRING
            static const int OPT_OCC_ID = 1757; // STRING
            static const int OPT_ISADJUSTED = 1758; // INT
            static const int UNDERLYING_CURRENCY = 1759; // STRING
            static const int UNDERLYING_SYMBOL = 1760; // STRING
            static const int SETTLEMENT_METHOD = 1761; // STRING
            static const int SECURITY_SUB_TYPE = 1762; // STRING
            static const int OPTION_STYLE = 1763; // STRING
            static const int DIVIDEND_PAYOUT = 1764; // DOUBLE
            static const int QUOTE_DELETION_FLAG = 1765; // INT
            static const int PREMKT_DATE = 1766; // INT
            static const int POSTMKT_DATE = 1767; // INT
            static const int REFERENCE_PRICE = 1768; // DOUBLE
            static const int MID_PERCENT_CHANGE = 1772; // DOUBLE
            static const int CFI_CODE = 1776; // STRING
            static const int BID_LOT_SIZE = 1786; // INT
            static const int ASK_LOT_SIZE = 1787; // INT
            static const int ANNUAL_DIVIDEND = 1789; // DOUBLE
            static const int FI_WHEN_ISSUED = 1793; // STRING
            static const int ASK_TDY_CLOSE_TS = 1795; // EPOCH_NSEC
            static const int BID_TDY_CLOSE_TS = 1796; // EPOCH_NSEC
            static const int ORIG_DISSEMINATION_DATE = 1797; // INT
            static const int REPORTING_PARTY_TYPE = 1798; // STRING
            static const int IS_144A = 1799; // INT
            static const int TULLETT_NAME = 1801; // STRING
            static const int RECORD_LAYOUT = 1804; // INT
            static const int CURVE_IDENTIFIER = 1808; // STRING
            static const int MACAULAY_DURATION = 1809; // DOUBLE
            static const int MID_SPREAD = 1810; // DOUBLE
            static const int BENCHMARK_TERM = 1811; // STRING
            static const int BID_PRICING_SPREAD = 1812; // DOUBLE
            static const int ASK_PRICING_SPREAD = 1813; // DOUBLE
            static const int MID_PRICING_SPREAD = 1814; // DOUBLE
            static const int BID_G_SPREAD = 1815; // DOUBLE
            static const int BID_I_SPREAD = 1816; // DOUBLE
            static const int BUY_ID = 1820; // STRING
            static const int SELL_ID = 1824; // STRING
            static const int PREMKT_VOL = 1832; // INT
            static const int PREMKT_CVOL = 1836; // INT
            static const int PREMKT_TRADE_QUANTITY = 1840; // INT
            static const int PREMKT_BLOCK_CVOL = 1844; // INT
            static const int PREMKT_BLOCK_NUM = 1852; // INT
            static const int POSTMKT_VOL = 1860; // INT
            static const int POSTMKT_CVOL = 1864; // INT
            static const int BID_Z_SPREAD = 1868; // DOUBLE
            static const int BID_ASSET_SWAP_SPREAD = 1869; // DOUBLE
            static const int TRADE_OAS_SPREAD = 1870; // DOUBLE
            static const int BID_OAS_SPREAD = 1871; // DOUBLE
            static const int REDEMPTION_PRICE = 1872; // DOUBLE
            static const int REDEMPTION_DATE = 1873; // INT
            static const int BULLET_PRICE = 1874; // DOUBLE
            static const int BULLET_YIELD = 1875; // DOUBLE
            static const int INFLATION_ADJ_IND = 1876; // INT
            static const int PRICE_SPREAD_CONDITION = 1877; // INT
            static const int BID_QUANTITY = 1878; // INT64
            static const int ASK_QUANTITY = 1879; // INT64
            static const int POSTMKT_NET_CHANGE = 1881; // DOUBLE
            static const int POSTMKT_PERCENT_CHANGE = 1882; // DOUBLE
            static const int FINANCIAL_STATUS = 1896; // INT
            static const int TOTAL_CONTRIB_COUNT = 1939; // INT64
            static const int NUMBER_CONTRIB_COUNT = 1940; // INT64
            static const int CAVEAT_EMPTOR_FLAG = 1947; // INT
            static const int POSTMKT_PRICE = 2029; // DOUBLE
            static const int POSTMKT_TRADE_QUANTITY = 2064; // INT
            static const int TRUE_ISO_CODE = 2082; // STRING
            static const int POSTMKT_BLOCK_CVOL = 2415; // INT
            static const int POSTMKT_BLOCK_NUM = 2416; // INT
            static const int TRADED = 2512; // INT
            static const int SECURITY_STATUS = 2800; // INT
            static const int PRODUCT_COUNTRY = 2883; // STRING
            static const int FDS_FUTURES_ROOT = 2884; // STRING
            static const int TICK_VALUE = 2885; // DOUBLE
            static const int FIRST_NOTICE_DATE = 2886; // INT
            static const int LAST_NOTICE_DATE = 2887; // INT
            static const int FIRST_DELIVERY_DATE = 2888; // INT
            static const int LAST_DELIVERY_DATE = 2889; // INT
            static const int FINAL_SETTLEMENT_DATE = 2890; // INT
            static const int CONTRACT_UNIT = 2891; // STRING
            static const int EXCHANGE_ROOT = 2892; // STRING
            static const int BBG_TICKER = 2893; // STRING
            static const int BBG_EXCH_CODE = 2894; // STRING
            static const int BBG_MARKET_SECTOR = 2895; // STRING
            static const int BBG_FIGI = 2896; // STRING
            static const int PRICING_METHOD = 3007; // INT
            static const int DIVIDEND_ADJ_FACTOR = 10050; // STRING
            static const int SUBSIDIZED_SEVEN_DAY_YIELD = 10052; // DOUBLE
            static const int THIRTY_DAY_YIELD = 10053; // DOUBLE
            static const int THIRTY_DAY_YIELD_DATE = 10054; // INT
            static const int DIVIDEND_FACTOR = 10055; // DOUBLE
            static const int SECURITY_TYPE = 13129; // STRING
            static const int MARKET_MAKER_ID = 14000; // STRING
            static const int MM_STAT_BITMASK = 14003; // INT

            // Legacy field names
            static const int CLOSE_DATE = 1051; // INT - Prefer PREV_CLOSE_DATE
            static const int HALT_INFO = 1414; // INT - Prefer HALT_REASON
            static const int DELTA = 2620; // DOUBLE
            static const int GAMMA = 2621; // DOUBLE
            static const int VEGA = 2622; // DOUBLE
            static const int THETA = 2623; // DOUBLE
            static const int RHO = 2624; // DOUBLE
            //! \}
        };

    } // namespace FactSet
} // namespace Datafeed
#endif

